Subject: [MMUSIC] ICEbis clarification regarding component id

From: "Pal Martinsen (palmarti)" <[email-masked]>
Date: Thu, 10 Apr 2014 07:50:47 +0000

Hi,

Nitpicking, but I just got a question from someone I really could not answer.

ICE usage with RTP and RTCP are well described in  RFC5245. However, it does not specify how to choose the component id for non RTP/RTCP protocols. In our implementation we have just chosen 1 and really never given it any more thought for protocols like BFCP. 

Would it be worthwhile having some clarification text in ICEbis? Something like:

If ICE is used to help non RTP/RTCP protocols through a NAT and that protocol only have one component the component id MUST be set to 1, unless ICE usage is described for that particular protocol elsewhere. For protocols containing more than one component, ICE usage should be described in the protocol description or in a separate RFC.

Apologies if I missed some ting in RFC5245 that spells this out.

.-.
Pål-Erik